### R code from vignette source 'affycoretools_biomaRt.Rnw'

###################################################
### code chunk number 1: affycoretools_biomaRt.Rnw:95-97 (eval = FALSE)
###################################################
## library(affycoretools)
## eset <- justRMA(cdfname = "hsfocushsentrezgcdf")


###################################################
### code chunk number 2: affycoretools_biomaRt.Rnw:100-102
###################################################
library(affycoretools)
load("exprSet2.Rdata")


###################################################
### code chunk number 3: affycoretools_biomaRt.Rnw:111-118
###################################################
library(limma)
design <- model.matrix(~ 0 + factor(rep(1:4, each = 3)))
colnames(design) <- LETTERS[1:4]
contrast <- makeContrasts(A-B, C-D, levels = design)
fit <- lmFit(eset, design)
fit2 <- contrasts.fit(fit, contrast)
fit2 <- eBayes(fit2)


###################################################
### code chunk number 4: affycoretools_biomaRt.Rnw:127-130 (eval = FALSE)
###################################################
## limma2biomaRt(eset, fit2, design, contrast,
##               species = "hsapiens", pfilt = 0.05,
##               interactive = FALSE)


###################################################
### code chunk number 5: affycoretools_biomaRt.Rnw:147-149
###################################################
dt <- decideTests(fit2, method = "nestedF")
rslt <- vennCounts2(dt)


###################################################
### code chunk number 6: affycoretools_biomaRt.Rnw:152-155 (eval = FALSE)
###################################################
## dt <- decideTests(fit2, method = "nestedF")
## rslt <- vennCounts2(dt)
## vennDiagram(rslt)


###################################################
### code chunk number 7: affycoretools_biomaRt.Rnw:160-161
###################################################
vennDiagram(rslt)


###################################################
### code chunk number 8: affycoretools_biomaRt.Rnw:171-173 (eval = FALSE)
###################################################
## vennSelectBM(eset, design, dt,
##              contrast, fit2, species = "hsapiens")


###################################################
### code chunk number 9: affycoretools_biomaRt.Rnw:192-200
###################################################
library(biomaRt)
annBM()
mart <- useMart("ensembl",
                "hsapiens_gene_ensembl")
annBM(mart, species="hsapiens")
mart <- useMart("ensembl",
                "celegans_gene_ensembl")
annBM(mart, species="celegans")


